Name: x11-driver-input-synaptics
Version: 1.8.0
Release: %mkrel 3
Summary: X.org input driver for Synaptics touchpad devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source0: xf86-input-synaptics-%{version}.tar.xz
Source1: 10-synaptics.fdi
Source2: 50-synaptics.conf
Patch1: 0001-Always-enable-tapping-and-vertical-edge-scroll.patch
Patch2: 0002-When-appling-changes-via-property-mode-apply-to-all.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros >= 1.3.0
BuildRequires: libxi-devel
BuildRequires: libxtst-devel
BuildRequires: mtdev-devel
BuildRequires: %{_lib}evdev-devel
Provides: synaptics = %{version}-%{release}
Obsoletes: synaptics < %{version}-%{release}

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Synaptics touchpad devices are extremely popular on laptops and this driver
is an MIT licensed alternative to the older GPL synaptics driver which is
no longer actively maintained.

%package devel
Summary:        Development files for programing with the xorg synaptics driver
Group:          Development/Libraries

%description devel
Development files for programing with the xorg synaptics driver


%prep
%setup -q -n xf86-input-synaptics-%{version}
%apply_patches

%build
%configure2_5x --with-xorg-conf-dir=/etc/X11/xorg.conf.d

%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty

install -d %{buildroot}%{_sysconfdir}/X11/xorg.conf.d
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/50-synaptics.conf


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_datadir}/hal/fdi/policy/20thirdparty/10-synaptics.fdi
%{_libdir}/xorg/modules/input/synaptics_drv.la
%{_libdir}/xorg/modules/input/synaptics_drv.so
%{_mandir}/man1/synclient.*
%{_mandir}/man1/syndaemon.*
%{_mandir}/man4/synaptics.*
%config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/50-synaptics.conf


%files devel
%defattr(-,root,root)
%{_includedir}/xorg/synaptics-properties.h
%{_libdir}/pkgconfig/xorg-synaptics.pc


%changelog
